summaryrefslogtreecommitdiffstats
path: root/bin
diff options
context:
space:
mode:
authorRobb Matzke <matzke@llnl.gov>1998-07-30 19:48:20 (GMT)
committerRobb Matzke <matzke@llnl.gov>1998-07-30 19:48:20 (GMT)
commite4aae4fd9b335b2e4212270ea595731d43fa3df1 (patch)
tree16856e418ba3c09ab46d17efdd16211bdf265a9e /bin
parentf21dbd337fcce7e0a97994b9f3cd689a15d1ddfe (diff)
downloadhdf5-e4aae4fd9b335b2e4212270ea595731d43fa3df1.zip
hdf5-e4aae4fd9b335b2e4212270ea595731d43fa3df1.tar.gz
hdf5-e4aae4fd9b335b2e4212270ea595731d43fa3df1.tar.bz2
[svn-r549] ./bin/h5vers
Fixed a bug that caused `h5vers -i' to fail with a usage message. The new behavior is the same as `h5vers -i release' which increments the release number. ./bin/snapshot A shell script intended to be run nightly from cron which compares the current version of hdf5 against the previous version. If there are differences it creates a tar file in an ftp directory, increments the hdf5 release number, and commits the changes back into the cvs repository. The name of the ftp directory in which to place the release can be given on the command line (default /hdf3/ftp/pub/outgoing/hdf5/snapshots). The CVSROOT environment variable must be set.
Diffstat (limited to 'bin')
-rwxr-xr-xbin/h5vers7
-rwxr-xr-xbin/release4
2 files changed, 7 insertions, 4 deletions
diff --git a/bin/h5vers b/bin/h5vers
index a4ddefc..418c994 100755
--- a/bin/h5vers
+++ b/bin/h5vers
@@ -66,8 +66,11 @@ while ($_ = shift) {
};
$_ eq "-i" && do {
- die "-i switch needs a value\n" unless @ARGV;
- $inc = shift;
+ if (@ARGV && $ARGV[1]=~/^(major|minor|release)$/) {
+ $inc = shift;
+ } else {
+ $inc = "release";
+ }
next;
};
diff --git a/bin/release b/bin/release
index 6f88a24..90130c8 100755
--- a/bin/release
+++ b/bin/release
@@ -84,11 +84,11 @@ fi
# Prepare the source tree for a release.
test -h ../hdf5-$VERS && rm ../hdf5-$VERS
-(cd ..; ln -s hdf5 hdf5-$VERS || exit 1)
+ln -s `pwd` ../hdf5-$VERS || exit 1
mv Makefile ../Makefile.x 2>/dev/null #might fail
cp -p Makefile.dist Makefile
test "$verbose" && echo " Running tar..." 1>&2
-(cd ..; tar cf x.tar `sed s+^.+hdf5-$VERS+ hdf5/MANIFEST` || exit 1)
+(cd ..; tar cf x.tar `sed s+^.+hdf5-$VERS+ hdf5-$VERS/MANIFEST` || exit 1)
# Compress
for comp in $methods; do